Wed Aug 21 03:51:42 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.34 released.

Sun Aug 11 03:36:03 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.33 released.

	* lwlib-Xm.c (update_one_menu_entry): Fix previous change:
	When XmIsCascadeButton, don't call XmCreateCascadeButtonGadget,
	just modify the existing one.
	
Fri Aug  9 21:16:57 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* lwlib.c (merge_widget_value): Undo previous change.
	
	* lwlib-Xm.c (update_one_menu_entry): When creating a pulldown
	in an existing but empty menu item, in order to get a new functional
	pulldown, the menu item must be switched from an XmPushButtonGadget
	into a XmCascadeButtonGadget.

Wed Jul 31 13:52:46 1996  Richard Stallman  <rms@psilocin.gnu.ai.mit.edu>

	* Version 19.32 released.

Wed Jul 31 12:48:46 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* lwlib-Xm.c (make_menubar): Turn off menu accelerator.

Wed Jul 24 07:26:26 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* lwlib.c (merge_widget_value) [USE_MOTIF]: Pass along the change
	flag from merged_contents.

Sat Jul 13 14:50:46 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* lwlib-Xm.c (xm_update_menu): Fix loop termination test.

Sun Jul  7 18:54:35 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* lwlib-Xm.h, lwlib-Xm.c, lwlib.h, lwlib.c: Undo previous change.

Wed Jul  3 01:09:22 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* lwlib-Xm.h: Declare lw_motif_menu_related_event_p.

	* lwlib-Xm.c (lw_motif_menu_related_event_p): A predicate to
	identify keyboard events intended only for menus.

	* lwlib.h: Declare lw_toolkit_related_event_p.

	* lwlib.c (lw_toolkit_related_event_p): A predicate to identify
	toolkit-specific events.

Fri Jun  7 13:14:02 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* lwlib-Xm.c (make_menu_in_widget): Set mapping delay
	for cascade buttons to zero.

Sat May 25 15:30:10 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* Version 19.31 released.

Sun Mar 31 15:19:31 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib-Xm.c (destroy_all_children): When freeing a cascade button,
	free its submenu too.
	(make_menu_in_widget): Use a cascade button gadget, not a widget.
	Include Xm/CascadeBG.h.

Fri Mar 29 09:47:25 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (tags): New target.

Thu Mar 28 13:38:14 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (TAGS): Renamed from `tags' and fixed to work.

Tue Mar 26 13:45:45 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (xlwmenu.o): New explicit target.

Sun Mar 24 06:55:06 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib.h (struct widget_value): New field this_one_change.
	* lwlib.c (merge_widget_value): Set the this_one_change field.
	* lwlib-Xm.c (destroy_all_children): New arg first_child_to_destroy.
	(make_menu_in_widget): New arg keep_first_children.
	(xm_update_menu): Preserve the first children even if later ones
	have a structural change.
	(update_one_menu_entry): Use this_one_change field.

Fri Mar  1 14:41:35 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (motion_event_is_in_menu): Make x and y signed.

Sun Feb 25 01:59:30 1996  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib.c (lw_window_is_in_menubar) [USE_MOTIF]:
	With Motif, the window WIN can be the menu bar widget itself.

Wed Feb 21 15:54:25 1996  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* lwlib.c (free_widget_value_tree, merge_widget_value):
	Use XtFree for the toolkit_data.

Mon Feb 19 02:36:44 1996  Karl Heuer  <kwzh@gnu.ai.mit.edu>

	* lwlib.c (lw_internal_update_other_instances): Move static var
	outside the function, and rename it to lwlib_updating.

Thu Jan  4 19:09:22 1996  Paul Eggert  <eggert@twinsun.com>

	* lwlib.c (instantiate_widget_instance): Renamed from
	instanciate_widget_instance (spelling correction).
	All callers changed.

Sun Dec 31 13:57:56 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (xlwMenuActionsList): Add "key" and "nothing".
	(xlwMenuTranslations): Add translations for Key, KeyUp,
	and for the modifier keysyms.
	(Nothing, Key): New functions.

Sun Dec 24 11:02:18 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (XlwMenuSetValues): Do redisplay if non-null contents
	get replaced by empty contents.

	* lwlib.c (merge_widget_value): Treat disappearance of entire contents
	as a STRUCTURAL_CHANGE.

Wed Dec 20 20:31:41 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* lwlib-utils.c: Add #undef for index and rindex.

Fri Nov 24 23:41:12 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.30 released.

Mon Nov 13 21:45:28 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (display_menu_item): Fix previous change.

Sat Nov  4 15:06:40 1995  Richard Stallman  <rms@whiz-bang.gnu.ai.mit.edu>

	* xlwmenu.c (display_menu_item): Don't treat buttons specially.

Mon Aug 14 19:10:49 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (RANLIB): Get this var from configure.

Wed Aug  2 03:12:39 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib.c (lw_popup_menu): New arg `event', passed along.
	* lwlib-Xlw.c (xlw_popup_menu): New arg `event'.
	* lwlib-Xm.c (xm_popup_menu): New arg `event'.

Mon Jun 19 22:50:57 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Version 19.29 released.

Sun Jun 11 15:39:02 1995  Richard Stallman  <rms@gnu.ai.mit.edu>

	* lwlib.c (lwlib_toolkit_type): New variable.

Fri May 26 23:54:11 1995  Richard Stallman  <rms@gnu.ai.mit.edu>

	* xlwmenu.c (Drag): Do nothing unless menu.popped_up field is set.

Mon May 22 22:53:05 1995  Karl Heuer  <kwzh@hal.gnu.ai.mit.edu>

	* xlwmenu.c (XlwMenuInitialize): Cast XCreatePixmapFromBitmapData args.

Sat May 20 01:15:00 1995  Karl Heuer  <kwzh@nutrimat.gnu.ai.mit.edu>

	* lwlib.c: Don't use prototype.
	* lwlib-Xm.c (activate_button, xm_update_cascadebutton): Likewise.

Fri May  5 21:54:02 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib.c (lw_refigure_widget) [USE_MOTIF]: Fix backward if.

Thu May  4 15:52:16 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (ALL_CFLAGS): Add -I../src.

Wed May  3 19:35:22 1995  Morten Welinder  <terra+@cs.cmu.edu>

	* lwlib.c [__osf__]: Include string.h and stdlib.h.
	[__osf__] (xmalloc): Declared.

Thu Apr 13 01:02:01 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib-Xm.c (update_one_menu_entry, make_menu_in_widget):
	Specify more useful names in XmCreatePulldownMenu calls.

	* lwlib-Xaw.c (xaw_pop_instance): Make x, y, w, h unsigned.

	* xlwmenu.c (size_menu): Make height and label_width unsigned.
	(fit_to_screen): Make screen_width and screen_height unsigned.
	(motion_event_is_in_menu): Make x, y unsigned.

Sun Apr  9 00:55:40 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* lwlib-utils.c: If HAVE_CONFIG_H, include config.h.

	* Makefile.in (ALL_CFLAGS): Define HAVE_CONFIG_H.
	Add -I${srcdir}/../src.
	
Sat Apr  8 14:01:45 1995  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* lwlib-Xm.c: Remove function prototypes.
	(xm_pop_down_callback): Call the deactivation callback only when
	popping	down the top level submenu.

Fri Apr  7 01:44:18 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* Makefile.in (lwlib.o): Depend on Makefile.

	* lwlib-Xm.h: Remove function prototypes.

	* lwlib-Xm.c (remove_grabs): Use type Widget for `menu'.

Wed Feb 15 14:09:35 1995  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* Makefile.in (ALL_CFLAGS): Allow include files to be found in
        `srcdir'.

Tue Feb  7 18:50:09 1995  Richard Stallman  <rms@pogo.gnu.ai.mit.edu>

	* Makefile.in (maintainer-clean): Renamed from realclean.

Mon Nov 28 18:11:00 1994  Richard Stallman  <rms@bethel>

	* lwlib-int.h (safe_strdup): Don't use ANSI argument prototype.

Tue Nov 15 03:22:52 1994  Paul Reilly  <pmr@duality.gnu.ai.mit.edu>

	* lwlib.c (lw_refigure_widget): Use the macro USE_XAW rather than XAW.

Tue Nov  8 13:06:07 1994  Paul Reilly  <pmr@duality.gnu.ai.mit.edu>

	* lwlib-Xm.c (make_menu_in_widget):  Differentiate a separator
	entry ("--") from a title.
	(xm_pop_down_callback): Filter all but the last pop down callbacks.

Mon Nov  7 07:31:19 1994  Paul Reilly  <pmr@duality.gnu.ai.mit.edu>

	* lwlib-Xm.c (update_one_menu_entry): Use the parent of the
	cascade button as the parent of the pulldown, rather than the
	cascade button itself.  This works around a Motif SIGSEGV in the
	function `InSharedMenuHierarchy'.

Sat Oct 29 23:25:10 1994  Richard Stallman  <rms@duality.gnu.ai.mit.edu>

	* xlwmenu.c (xlwmenu_default_font): New global variable.
	(XlwMenuInitialize): Use xlwmenu_default_font to default
	the font if necessary.  Make mw, itself, an argument.

Wed Oct 26 04:57:41 1994  Richard Stallman  <rms@duality.gnu.ai.mit.edu>

	* xlwmenu.c (pop_up_menu): Pass a Display * to x_catch_errors, etc.

Wed Oct 26 00:57:28 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (xlwmenu_default_font): New global variable.
	(XlwMenuInitialize): Use xlwmenu_default_font to default
	the font if necessary.  Make mw, itself, an argument.

	* xlwmenu.c (pop_up_menu): Pass a Display * to x_catch_errors, etc.

Sat Oct  8 00:15:45 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (fit_to_screen): Don't put the menu off the left or top.

Sun Oct  2 08:07:15 1994  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* xlwmenu.c (display_menu_item): Add support for displaying the
        title in pop up menus.

	* lwlib.c (lw_set_main_areas): Use xm_set_main_areas().
	(lw_manage_resizing): Use xm_manage_resizing() for Emacs/Motif.

Sun Sep 25 15:57:17 1994  Paul Reilly  <pmr@geech.gnu.ai.mit.edu>

	* lwlib-Xaw.c (xaw_create_main): New function to support the
        toolkit independent creation of the main Emacs widget.  *
        lwlib-Xlw.c (xlw_create_menubar): When compiling under Emacs, set
        resizing resources to disable showGrip and to enable both
        resizeToPreferred and allowShellResize.

	* lwlib-Xm.h: Declare xm_set_main_areas, xm_manage_resizing.

	* lwlib-Xm.c: (make_menu_in_widget): Add support for displaying a
	title in pop up menus.
	(make_main, xm_set_main_areas, xm_manage_resizing): New functions to
	create and manage a Motif Main Window widget.

	* xlwmenu.c: Add #include <X11/ObjectP.h> for X11R4.

Sun Sep 18 17:21:52 1994  Fred Pierresteguy <F.Pierresteguy@frcl.bull.fr>

	* lwlib-Xm.c (make_dialog): When there is more than two pushbuttons,
	set XmPACK_TIGHT and XmHORIZONTAL to the rowcolumn.  Also add a
	margin of 10 pixels.

Fri Sep 16 17:21:52 1994  Paul Reilly <pmr@geech.gnu.ai.mit.edu>

	* lwlib-Xm.c (make_main): New function to support toolkit
        independent creation of the main Emacs widget.
	(make_destroyed_instance): Use safe_strdup() instead of strdup().

	* lwlib-int.h: Declare safe_strdup.

	* lwlib.c (lw_refigure_widget): New function.  Handle geometry
        management inside lwlib instead of in Emacs.
	(lw_window_is_in_menubar): New function.  Determine if the pointer
	is in a menubar.
	(lw_set_main_areas): New function.  Set the main window widgets for
	Motif.

	* lwlib.h: Declare lw_refigure_widget(), lw_window_is_in_menubar(),
	lw_set_main_areas().

	* xlwmenu.h: Define Xt{Ns,CS}howGrip, Xt{Nr,CR}esizeToPreferred, and
	Xt{Na,CA}llowResize.

	* xlwmenu.c (Start): Use pop_up_menu() to post the submenus.
	(Select): Remove the pointer grab when popping down a menubar
	submenu.
	(pop_up_menu): Handle popping up submenus from a menubar, i.e. when
	the menu widget parent is not a shell widget.

Thu Aug 25 17:21:52 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (pop_up_menu): Clear next_release_must_exit.
	(Start): Clear next_release_must_exit when popping up the menu.

Wed Aug 24 22:19:46 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (Start): Set menu_post_event or next_release_must_exit.
	(Select): Do nothing if the menu should be left posted.

Thu Jul 28 17:12:31 1994  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* xlwmenu.c (make_windows_if_needed, pop_up_menu):
	Enable mouse motion events even when no button down.

Mon Jul 11 21:38:00 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (pointer_grabbed): New variable.
	(pop_up_menu): Set the variable.
	(XlwMenuDestroy): Maybe call XtUngrabPointer.

Wed May 25 04:19:01 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib.c (max): Function deleted.  Define as macro instead,
	but only if not already defined.

Fri May 20 18:42:58 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (xlwMenuResources): Use XtRDimension for shadow thickness.

Thu May 19 12:23:39 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib-Xaw.c (xaw_pop_instance): Use XtSetValues, not XtMoveWidget.

Mon May 16 03:25:22 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib.c (lwlib_memset: New function, used instead of memset.
	All callers changed.
	* lwlib.c (lwlib_bcopy): New function.
	* lwlib-utils.c (XtApplyToWidgets): Use lwlib_bcopy.

	* lwlib.c: Delete definitions for use of alloca.
	(name_to_widget): Use xmalloc, not alloca.

Thu May 12 06:20:36 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (XlwMenuDestroy): Set new var submenu_destroyed.
	(XlwMenuRedisplay): If it's set, truncate the old_depth to 1.

Mon May  9 18:35:53 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xrdb-cpp.c: Don't include string.h, unistd.h, stdlib.h.
	* lwlib-Xaw.c: Don't include string.h, unistd.h, stdlib.h.
	* lwlib-utils.c (XtApplyToWidgets): Use bcopy, not memcpy.
	* lwlib-utils.c: Don't include string.h, unistd.h, stdlib.h, memory.h.
	* xlwmenu.c: Don't include string.h, unistd.h, stdlib.h.
	* lwlib.c: Don't include string.h, unistd.h, stdlib.h.
	(safe_strdup): No longer static.
	* lwlib-Xm.c: Use safe_strdup, not strdup.

	* xlwmenu.c (string_width): No longer static.

Fri May  6 13:24:17 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenuP.h (struct _XlwMenu_part): Use Pixel and Cursor
	for foreground and cursor_shape fields.

	* xlwmenu.c (XlwMenuSetValues): Check for change of font.

Thu Apr 28 16:02:23 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in: Delete all SRCS variables (unused).
	(lwlib.o, xrdb-cpp.o): Mention srcdir in dep.

Fri Apr 15 18:31:25 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (ALL_CFLAGS): Don't define THIS_IS_X11R4.

	* xrdb.c: Define HAVE_X11R5 as in xterm.h.
	Include X11/Xlib.h, X11/cursorfont.h and X11/Xutil.h.
	(_XtDisplayInitialize): Test HAVE_X11R5.

	* dispatch.c: Define HAVE_X11R5 as in xterm.h.
	Include X11/Xlib.h, X11/cursorfont.h and X11/Xutil.h.
	(_XtConvertTypeToMask): Conditionalize on HAVE_X11R5.
	(WouldDispatchEvent): Likewise.

Tue Apr 12 12:32:32 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib-Xaw.c (xaw_generic_callback): Declare without arg names.

Fri Apr  1 03:25:31 1994  Frederic Pierresteguy  (fp@hal.gnu.ai.mit.edu)

	* lwlib-Xaw.c (make_dialog): Don't allow any geometry request from the 
	user.

Tue Mar 22 13:09:25 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* xlwmenu.c (XlwMenuResize): Don't allow the popup menu to resize 
	itself. Therefore reset the size to its initial value.

Sat Mar 19 02:13:56 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib-Xaw.c (xaw_update_one_widget): Finish replacing XtVaSetValues.
	Don't test for scrollbar widget.

Mon Mar 14 11:12:33 1994  Frederic Pierresteguy  (fp@gnu.ai.mit.edu)

	* lwlib-int.h: Declare lw_get_widget_info.

	* lwlib.c (lw_get_widget_info): Comment out arg in function decl.

	* lwlib-Xaw.h: Comment out args in function decls.
	* lwlib-Xaw.c: Convert all function definitions to non-prototype K&R.
	(xaw_update_one_widget - case dialogWidgetClass): Call XtSetValues,
	not XtVaSetValues.

Fri Mar 11 05:35:04 1994  Frederic Pierresteguy  (F.Pierresteguy@frcl.bull.fr)

	* xlwmenu.c (display_menu_item): Modify parameters to draw_arrow to
	right justify the arrow in the pane.

	* lwlib.c: If not defined USE_MOTIF and defined USE_LUCID then
	define USE_XAW.

	* Makefile.in (LUCID_SRCS, LUCID_OBJS): Add the target lwlib-Xaw.[oc].

	* lwlib.c, lwlib-int.h: Merged from Lucid 19.9 release.
	* lwlib.c (_AIX): Replace the AIXV3 directive.
	(USE_XAW): New macro to conditionalize the use of the athena toolkit.
	(lw_get_widget_info): New function.
	(set_one_value): Handle USE_XAW.
	(instanciate_widget_instance): Likewise.
	(destroy_one_instance): Likewise.
	(lw_pop_all_widgets): Likewise.
	(lw_pop_down_all_widgets): Likewise.
	(get_one_value): Likewise.

	* lwlib-Xaw.c, lwlib-Xaw.h: New files.

Wed Feb 23 02:50:05 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (XlwMenuInitialize, XlwMenuDestroy): Undo previous changes.

	* lwlib-Xlw.c (xlw_create_menubar, xlw_create_popup_menu):
	Use XtCreate..., not XtVaCreate...
	No need to copy instance->info->val any more.
	(xlw_update_one_widget): Use XtSetValues, not XtVaSetValues.

Mon Feb 21 16:34:02 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (pop_up_menu): Call XtUngrabPointer if XtGrabPointer fails.

Sat Feb 19 15:21:40 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (xrdb-cpp.o, lwlib.o): Put ALL_CFLAGS after other flags.

	* lwlib-Xlw.c (xlw_create_menubar): Don't call free_widget_value.
	Use malloc for allocation.
	(xlw_create_popup_menu): Likewise.

Fri Feb 18 08:03:02 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* lwlib.c (malloc_cpt): New static variable.
	(malloc_widget_value): Increment malloc_cpt when allocating a cell.
	(free_widget_value): Really free the cells when the number of
	allocated ones is bigger than 25.

	* lwlib-Xlw.c (xlw_create_menubar): Call malloc_widget_value and
	free_widget_value instead of XtMalloc and XtFree.
	(xlw_create_popup_menu): Likewise.

Thu Feb 17 18:30:52 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in (ALL_CFLAGS): Specify -Demacs.

	* xlwmenu.c (pop_up_menu) [emacs]: Catch and ignore X protocol errors
	in XtGrabPointer.

Thu Feb 17 17:09:21 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* lwlib-Xlw.c (xlw_create_popup_menu): Pass tem to 
	XtVaCreateManagedWidget, not instance->info->val.
	(xlw_create_menubar): Likewise.

Tue Feb 15 09:04:54 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* lwlib-Xlw.c (xlw_create_popup_menu): Copy instance->info->val
	before calling XtVaCreateManagedWidget and then free the copy.
	(xlw_create_menubar): Likewise.

Fri Feb 11 13:06:34 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (XlwMenuInitialize): Copy mw->menu.contents.
	(XlwMenuDestroy): Free mw->menu.contents.

Wed Feb  9 09:02:27 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* xlwmenu.c (display_menu_item): Call draw_shadow_rectangle to make
	visible/invisible the selection of the menubar items.

Tue Feb  8 17:46:34 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* lwlib.c (strcasecmp): Renamed to my_strcasecmp.
	(find_in_table): Changed only caller.

Fri Feb  4 12:00:46 1994  Frederic Pierresteguy  (fp@mole.gnu.ai.mit.edu)

	* xlwmenu.c (display_menu_item): When dealing with the menubar,
	always call XDrawRectangle to clear the selection after popping down 
	the pulldown menu.

Tue Feb  1 13:21:57 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib.c: Include ctype.h.

Mon Jan 31 00:47:29 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib.c (strcasecmp): New function.

Sun Jan 30 23:30:08 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c, lwlib.c, lwlib-Xlw.c, lwlib-utils.c:
	Convert all function definitions to non-prototype K&R.

	* lwlib-Xlw.h: Comment out args in function decls.
	* lwlib.h: Comment out args in function decls.
	* lwlib-utils.h: Comment out args in function decls.

Sat Jan 29 21:58:47 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lwlib.c: Include StringDefs.h after lwlib.h.

Sat Jan 22 18:21:59 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Makefile (xrdb-cpp.o, lwlib.o): Use $(srcdir) and file name
	instead of $*.
	(dispatch.o, xrdb.o, lwlib-Xm.o): Rules removed; they were
	superfluous and didn't work when configured outside srcdir.  The
	implicit .c.o rule works fine.

Fri Jan 21 11:51:56 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* xlwmenu.c (resource_widget_value): Avoid using strdup.

Tue Jan 18 18:52:43 1994  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Makefile.in: New file.

	* lwlib-Xolmb.c: Renamed from lwlib-Xol-mb.c.
	* lwlib-Xolmb.h: Renamed from lwlib-Xol-mb.h.
	* lwlib-XolmbP.h: Renamed from lwlib-Xol-mbP.h.

	* lwlib-int.h: Renamed from lwlib-internal.h.

	

